com.verisign.epp.codec.nv

## Class EPPNameVerificationCheckResult

- java.lang.Object
- - com.verisign.epp.codec.nv.EPPNameVerificationCheckResult

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable

      public class EPPNameVerificationCheckResult
      extends java.lang.Object
      implements EPPCodecComponent

  `EPPNameVerificationCheckResult` represents the result of an individual Name Verification label check. The attributes of `EPPNameVerificationCheckResult` include the label and a boolean value indicating if the label can be created as a Domain Name Verification (DNV) object. The OPTIONAL reason defines why a label cannot create a Domain Name Verification (DNV) object. An OPTIONAL "restricted" is used to indicate whether or not the label is a restricted label, with a default value of `false`.
  See Also:
    `EPPNameVerificationCheckResp`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `ELM_LOCALNAME` Constant for the result local name
    `static java.lang.String` | `ELM_NAME` Constant for the profile tag

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPNameVerificationCheckResult()` Default constructor for `EPPNameVerificationCheckResult`.
    `EPPNameVerificationCheckResult(java.lang.String aName, boolean aIsAvailable)` Constructor for `EPPNameVerificationCheckResult` that includes the label and the available flag.
    `EPPNameVerificationCheckResult(java.lang.String aName, boolean aIsAvailable, java.lang.String aReason)` Constructor for `EPPNameVerificationCheckResult` that includes the label, availability flag, and the availability reason.
    `EPPNameVerificationCheckResult(java.lang.String aName, boolean aIsAvailable, java.lang.String aReason, java.lang.String aLanguage, boolean aRestricted)` Constructor for `EPPNameVerificationCheckResult` that includes all attributes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` Clone `EPPNameVerificationCheckResult`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode the `EPPNameVerificationCheckResult` attributes from the aElement DOM Element tree.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckResult` instance.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPNameVerificationCheckResult` with this instance.
    `java.lang.String` | `getLabel()` Gets the label associated with the result.
    `java.lang.String` | `getLanguage()` Gets the language attribute of the reason.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `java.lang.String` | `getReason()` Gets the reason for the unavailable label.
    `boolean` | `isAvailable()` Gets if the label associated with `EPPNameVerificationCheckResult` is availability to be created.
    `boolean` | `isRestricted()` Is the label a restricted label?
    `void` | `setIsAvailable(boolean aIsAvailable)` Sets if the label associated with `EPPNameVerificationCheckResult` is availability to be created.
    `void` | `setLabel(java.lang.String aLabel)` Sets the label associated with the result.
    `void` | `setLanguage(java.lang.String aLanguage)` Sets language attribute of the reason.
    `void` | `setReason(java.lang.String aReason)` Sets the OPTIONAL reason for the unavailable label.
    `void` | `setRestricted(boolean aRestricted)` Sets if the label is a restricted label.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ELM_LOCALNAME

          public static final java.lang.String ELM_LOCALNAME

      Constant for the result local name
      See Also:
        Constant Field Values

    - #### ELM_NAME

          public static final java.lang.String ELM_NAME

      Constant for the profile tag
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### EPPNameVerificationCheckResult

          public EPPNameVerificationCheckResult()

      Default constructor for `EPPNameVerificationCheckResult`.

    - #### EPPNameVerificationCheckResult

          public EPPNameVerificationCheckResult(java.lang.String aName,
                                                boolean aIsAvailable)

      Constructor for `EPPNameVerificationCheckResult` that includes the label and the available flag.
      Parameters:
        `aName` - Label associated with result
        `aIsAvailable` - Is the label available to be created?

    - #### EPPNameVerificationCheckResult

          public EPPNameVerificationCheckResult(java.lang.String aName,
                                                boolean aIsAvailable,
                                                java.lang.String aReason)

      Constructor for `EPPNameVerificationCheckResult` that includes the label, availability flag, and the availability reason.
      Parameters:
        `aName` - Label associated with result
        `aIsAvailable` - Is the label available to be created?
        `aReason` - Reason that label is not available

    - #### EPPNameVerificationCheckResult

          public EPPNameVerificationCheckResult(java.lang.String aName,
                                                boolean aIsAvailable,
                                                java.lang.String aReason,
                                                java.lang.String aLanguage,
                                                boolean aRestricted)

      Constructor for `EPPNameVerificationCheckResult` that includes all attributes.
      Parameters:
        `aName` - Label associated with result
        `aIsAvailable` - Is the label available to be created?
        `aReason` - Reason that label is not available
        `aLanguage` - Language of the `aReason` value.
        `aRestricted` - Is the label restricted?

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Gets the label associated with the result.
      Returns:
        Label associated with the result if defined; `null` otherwise.

    - #### setLabel

          public void setLabel(java.lang.String aLabel)

      Sets the label associated with the result.
      Parameters:
        `aLabel` - Label associated with the result.

    - #### isAvailable

          public boolean isAvailable()

      Gets if the label associated with `EPPNameVerificationCheckResult` is availability to be created.
      Returns:
        Is the label available? If `false`, call `getReason()` for the unavailable reason.

    - #### setIsAvailable

          public void setIsAvailable(boolean aIsAvailable)

      Sets if the label associated with `EPPNameVerificationCheckResult` is availability to be created.
      Parameters:
        `aIsAvailable` - Is the label available to be created?

    - #### setReason

          public void setReason(java.lang.String aReason)

      Sets the OPTIONAL reason for the unavailable label.
      Parameters:
        `aReason` - OPTIONAL reason value.

    - #### getReason

          public java.lang.String getReason()

      Gets the reason for the unavailable label.
      Returns:
        String of domain reason.

    - #### setLanguage

          public void setLanguage(java.lang.String aLanguage)

      Sets language attribute of the reason.
      Parameters:
        `aLanguage` - Sets the reason language attribute.

    - #### getLanguage

          public java.lang.String getLanguage()

      Gets the language attribute of the reason.
      Returns:
        The language of the reason

    - #### isRestricted

          public boolean isRestricted()

      Is the label a restricted label?
      Returns:
        `true` if the label is restricted; `false` otherwise.

    - #### setRestricted

          public void setRestricted(boolean aRestricted)

      Sets if the label is a restricted label.
      Parameters:
        `aRestricted` - `true` if the label is restricted; `false` otherwise.

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode a DOM Element tree from the attributes of the `EPPNameVerificationCheckResult` instance.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document that is being built. Used as an Element factory.
      Returns:
        Element Root DOM Element representing the `EPPNameVerificationCheckResult` instance.
      Throws:
        `EPPEncodeException` - Unable to encode `EPPNameVerificationCheckResult` instance.

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode the `EPPNameVerificationCheckResult` attributes from the aElement DOM Element tree.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - Root DOM Element to decode `EPPNameVerificationCheckResult` from.
      Throws:
        `EPPDecodeException` - Unable to decode aElement.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPNameVerificationCheckResult` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      Clone `EPPNameVerificationCheckResult`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of `EPPNameVerificationCheckResult`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.